summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
-rw-r--r--net-libs/chan_ss7/ChangeLog6
-rw-r--r--net-libs/chan_ss7/Manifest4
-rw-r--r--net-libs/chan_ss7/chan_ss7-2.1.0-r1.ebuild68
-rw-r--r--net-libs/chan_ss7/files/chan_ss7-2.1.0-fix_cid.diff69
4 files changed, 145 insertions, 2 deletions
diff --git a/net-libs/chan_ss7/ChangeLog b/net-libs/chan_ss7/ChangeLog
index baec5b8..665402b 100644
--- a/net-libs/chan_ss7/ChangeLog
+++ b/net-libs/chan_ss7/ChangeLog
@@ -2,7 +2,11 @@
# Copyright 1999-2011 Gentoo Foundation; Distributed under the GPL v2
# $Header: $
-*chan_ss7-2.1.0 (29 Sep 2011)
+*chan_ss7-2.1.0 (24 Nov 2011)
+
+ 24 Nov 2011; Claudio G. Furrer <elcaio@gmail.com> +chan_ss7.2.1.0-r1.ebuild,
+ +files/chan_ss7-2.1.0-fix_cid.diff:
+ Fix CallerID issue. Change use of caller.id to connected.id.
29 Sep 2011; Claudio G. Furrer <elcaio@gmail.com> +chan_ss7.2.1.0.ebuild,
+ChangeLog, +metadata.xml:
diff --git a/net-libs/chan_ss7/Manifest b/net-libs/chan_ss7/Manifest
index 7cdc901..a3136ef 100644
--- a/net-libs/chan_ss7/Manifest
+++ b/net-libs/chan_ss7/Manifest
@@ -1,8 +1,10 @@
+AUX chan_ss7-2.1.0-fix_cid.diff 3134 RMD160 98a518cad2e15d55b713192d453f416103f93514 SHA1 7398ad2cad98f27f082430c92c7594197f731246 SHA256 5a3dbad16470c278678fb7aad1e7d6251da5a7447d15c65d6b37329be5fe5a65
DIST chan_ss7-1.4.1.tar.gz 124470 RMD160 91e8814fdabcae083bddfbe9482c58bca52ad07f SHA1 3c8c33d5717d668be2c8d3dbffd65f5ae8380da3 SHA256 46df290ce8d5e5c63000c0b6dec9b3ee4ad8d719c550cc9cddfdbc398f69b346
DIST chan_ss7-1.4.3.tar.gz 125451 RMD160 fea6211df80bde0696d1716245db8f9ab9ba29e9 SHA1 8ffc99b416d0b84f7156c1da69372875da79d097 SHA256 baf97b485af76333d253bfab2f3d06e1696165bbababfcb53cac7af7c14d0a8b
DIST chan_ss7-2.1.0.tar.gz 128146 RMD160 bc1716fa87199b42f76aad3b7ef558d4a2018ac7 SHA1 42a1509a67ddd8496b2b89b392a80ee2c2da6f2b SHA256 e25f5825522eea66e62191a78121d955cf7b6e29585e2c12a94ad3350c890168
EBUILD chan_ss7-1.4.1.ebuild 1531 RMD160 1007290edd060529101a855cd0baec00fc56de37 SHA1 c73e17b7f9298d805eea46e1d77f49f13753db9e SHA256 42541ea8d6d4673be05f9ad35ac39d974539f3e4446d51e18d01d75b32a49277
EBUILD chan_ss7-1.4.3.ebuild 1524 RMD160 edd26f1f5ccf750d163cf3fe746660e0c359790a SHA1 54f77ecb627e3948e9adbd0e4f52508ddf020679 SHA256 48b0087cb3aa3c984dc81a93eaa7f3a1d6804529a785010bed8738f51b716d2a
+EBUILD chan_ss7-2.1.0-r1.ebuild 1560 RMD160 e55da2b83e61a2789b3eae601e3f46462918e361 SHA1 3045a8ab2cf213b1bb8ab67fcb7b2b777b2c8900 SHA256 770a42bef94f9a94b9d28559e0bb77f8a594cbc34cf613971590bc8ca0d21209
EBUILD chan_ss7-2.1.0.ebuild 1411 RMD160 456f5ef97310b3d0f428c8470cdde0cc9dbbadf4 SHA1 50e15162c3daf8f5d54c8b1c043e95c2ec1417ff SHA256 047e6762368ad5d61d4d5d60a56430a0ebb6f5c5162895237cf1c36d9b0ab391
-MISC ChangeLog 653 RMD160 3164353480625a1de8f6cadaede16f12eaa49be0 SHA1 8edc573734e565207d2f23ae4276b6718b7c642e SHA256 039c90e52a9653775bb1107ee81c787242872531f248710f5c839ac5a36e596f
+MISC ChangeLog 813 RMD160 19dacaa6d8ba4e42bfd4388e7187004dce9fb38a SHA1 ac9bb0653c9ffd40d2f4cee38b33c8ec30c33329 SHA256 1c15e01f8fbf6255400e64af1ab2850db3e9c65a5cdc59774881ca0f995cc579
MISC metadata.xml 234 RMD160 7e65eb5a9a08368288fc1e3608ddb9a4677defdd SHA1 93c38407f533f522647683eb7b7c2121bc6f3707 SHA256 4009ad9d312db0ece6fd53e9dfabda98e2c1037ec540eb64d6ab43fe318c1a25
diff --git a/net-libs/chan_ss7/chan_ss7-2.1.0-r1.ebuild b/net-libs/chan_ss7/chan_ss7-2.1.0-r1.ebuild
new file mode 100644
index 0000000..3184956
--- /dev/null
+++ b/net-libs/chan_ss7/chan_ss7-2.1.0-r1.ebuild
@@ -0,0 +1,68 @@
+# Copyright 1999-2011 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: $
+
+inherit eutils multilib
+
+MY_PN="chan_ss7"
+
+DESCRIPTION="Asterisk SS7 channel library"
+HOMEPAGE="http://www.netfors.com/chan_ss7_free"
+SRC_URI="http://www.netfors.com/media/download/${MY_PN}-${PV}.tar.gz"
+
+#IUSE="-mtp3d -mtp3cli"
+IUSE=""
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~x86 ~amd64"
+
+RDEPEND="
+ >=net-misc/dahdi-2.3.0
+ >=net-misc/asterisk-1.6.2"
+
+DEPEND="${RDEPEND}"
+
+MAKEOPTS="${MAKEOPTS} -j1"
+
+S="${WORKDIR}/${MY_PN}-${PV}"
+
+src_unpack() {
+ unpack ${A}
+
+ cd ${S}
+ # fix caller id (changed use of caller.id to connected.id)
+ epatch ${FILESDIR}/${MY_PN}-2.1.0-fix_cid.diff
+}
+
+src_compile() {
+
+ emake chan_ss7.so || die "emake failed"
+}
+
+src_install() {
+ #make INSTALL_PREFIX=${D} install || die
+ #emake DESTDIR=${D} install || die "Install failed"
+ #INSTALL_PREFIX=/usr/lib/asterisk/modules make install || die "Install failed"
+ #install -m 755 chan_ss7.so /usr/lib/asterisk/modules
+
+ einfo "Copying ${S}/chan_ss7.so to /usr/$(get_libdir)/asterisk/modules"
+ insinto /usr/$(get_libdir)/asterisk/modules
+ doins ${S}/chan_ss7.so || die "install failed"
+
+ dodoc README NEWS COPYING INSTALL ASTERISK_VARIABLES
+
+ #insinto /etc/asterisk
+ #doins ${FILESDIR}/ss7.conf.*
+
+ #if [[ -n "$(egetent group asterisk)" ]]; then
+ # chown -R root:asterisk ${D}/etc/asterisk
+ # chmod -R u=rwX,g=rX,o= ${D}/etc/asterisk
+ #fi
+}
+
+pkg_postinst() {
+ einfo "Useful resources:"
+ echo
+ einfo " http://www.voip-info.org/wiki/index.php?page=Asterisk+ss7+channels"
+}
diff --git a/net-libs/chan_ss7/files/chan_ss7-2.1.0-fix_cid.diff b/net-libs/chan_ss7/files/chan_ss7-2.1.0-fix_cid.diff
new file mode 100644
index 0000000..1caefc2
--- /dev/null
+++ b/net-libs/chan_ss7/files/chan_ss7-2.1.0-fix_cid.diff
@@ -0,0 +1,69 @@
+Index: Makefile
+===================================================================
+--- Makefile (revision 87)
++++ Makefile (revision 88)
+@@ -1,7 +1,7 @@
+ # INSTALL_PREFIX may be overridden to install elsewhere from /usr.
+ INSTALL_PREFIX = /usr/local/ss7
+
+-VERSION=2.1.0
++VERSION=2.1.1b
+
+ # INCLUDE may be overridden to find asterisk and zaptel includes in
+ # non-standard places.
+Index: l4isup.c
+===================================================================
+--- l4isup.c (revision 87)
++++ l4isup.c (revision 88)
+@@ -1830,11 +1830,11 @@
+ chan->cid.cid_dnid = strdup(iam->dni.num);
+ #else
+ if(iam->ani.present) {
+- chan->caller.id.number.str = strdup(iam->ani.num);
++ chan->connected.id.number.str = strdup(iam->ani.num);
+ if(iam->ani.restricted) {
+- chan->caller.id.number.presentation = AST_PRES_PROHIB_NETWORK_NUMBER;
++ chan->connected.id.number.presentation = AST_PRES_PROHIB_NETWORK_NUMBER;
+ } else {
+- chan->caller.id.number.presentation = AST_PRES_ALLOWED_NETWORK_NUMBER;
++ chan->connected.id.number.presentation = AST_PRES_ALLOWED_NETWORK_NUMBER;
+ }
+ }
+ /* ToDo: Handle screening. */
+@@ -2215,12 +2215,12 @@
+ }
+ res = isup_calling_party_num_encode(chan->cid.cid_num, pres_restr, 0x3 /* network provided */, param, sizeof(param));
+ #else
+- if((chan->caller.id.number.presentation & AST_PRES_RESTRICTION) == AST_PRES_RESTRICTED) {
++ if((chan->connected.id.number.presentation & AST_PRES_RESTRICTION) == AST_PRES_RESTRICTED) {
+ pres_restr = 1;
+ } else {
+ pres_restr = 0;
+ }
+- res = isup_calling_party_num_encode(chan->caller.id.number.str, pres_restr, 0x3 /* network provided */, param, sizeof(param));
++ res = isup_calling_party_num_encode(chan->connected.id.number.str, pres_restr, 0x3 /* network provided */, param, sizeof(param));
+ #endif
+ if(res < 0) {
+ ast_log(LOG_DEBUG, "Invalid format for calling number, dropped.\n");
+@@ -2291,7 +2291,7 @@
+ #if defined(USE_ASTERISK_1_2) || defined(USE_ASTERISK_1_4) || defined(USE_ASTERISK_1_6)
+ ast_verbose(VERBOSE_PREFIX_3 "Sent IAM CIC=%-3d ANI=%s DNI=%s RNI=%s\n", pvt->cic, pres_restr ? "*****" : chan->cid.cid_num, dni, rdni);
+ #else
+- ast_verbose(VERBOSE_PREFIX_3 "Sent IAM CIC=%-3d ANI=%s DNI=%s RNI=%s\n", pvt->cic, pres_restr ? "*****" : chan->caller.id.number.str, dni, rdni);
++ ast_verbose(VERBOSE_PREFIX_3 "Sent IAM CIC=%-3d ANI=%s DNI=%s RNI=%s\n", pvt->cic, pres_restr ? "*****" : chan->connected.id.number.str, dni, rdni);
+ #endif
+ return 0;
+ }
+@@ -2318,9 +2318,9 @@
+ #else
+ ast_log(LOG_DEBUG, "SS7 call, addr=%s, cid=%s(0x%x/%s) CIC=%d. linkset '%s'\n",
+ (addr ? addr : "<NULL>"),
+- (chan->caller.id.number.str ? chan->caller.id.number.str : "<NULL>"),
+- chan->caller.id.number.presentation,
+- ast_describe_caller_presentation(chan->caller.id.number.presentation),
++ (chan->connected.id.number.str ? chan->connected.id.number.str : "<NULL>"),
++ chan->connected.id.number.presentation,
++ ast_describe_caller_presentation(chan->connected.id.number.presentation),
+ pvt->cic, pvt->link->linkset->name);
+ #endif
+